> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/get_combo_details

> Retrieves detailed information about a specific combo, including its leg structure, state, and other properties.

Use [public/get_combo_ids](https://docs.deribit.com/api-reference/combo-books/public-get_combo_ids) to get a list of available combo IDs.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_combo_details)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /public/get_combo_details
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /public/get_combo_details:
    get:
      tags:
        - Combo Books
        - Public
      description: >+
        Retrieves detailed information about a specific combo, including its leg
        structure, state, and other properties.


        Use
        [public/get_combo_ids](https://docs.deribit.com/api-reference/combo-books/public-get_combo_ids)
        to get a list of available combo IDs.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_combo_details)

      parameters:
        - description: Combo ID
          in: query
          name: combo_id
          required: true
          schema:
            $ref: '#/components/schemas/combo_id'
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 3
                  jsonrpc: '2.0'
                  method: public/get_combo_details
                  params:
                    combo_id: BTC-FS-29APR22_PERP
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicGetComboDetailsResponse'
components:
  schemas:
    combo_id:
      description: Unique combo identifier
      example: BTC-FS-31DEC21-PERP
      type: string
    PublicGetComboDetailsResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          $ref: '#/components/schemas/combo'
      required:
        - jsonrpc
        - result
      type: object
    combo:
      properties:
        creation_timestamp:
          $ref: '#/components/schemas/timestamp'
        id:
          $ref: '#/components/schemas/combo_id'
        instrument_id:
          $ref: '#/components/schemas/instrument_id'
        legs:
          items:
            $ref: '#/components/schemas/combo_leg'
          type: array
        state:
          $ref: '#/components/schemas/combo_state'
        state_timestamp:
          $ref: '#/components/schemas/timestamp'
      type: object
    timestamp:
      description: The timestamp (milliseconds since the Unix epoch)
      example: 1536569522277
      type: integer
    instrument_id:
      description: Instrument ID
      type: integer
    combo_leg:
      properties:
        amount:
          $ref: '#/components/schemas/combo_leg_amount'
        instrument_name:
          $ref: '#/components/schemas/instrument_name'
      type: object
    combo_state:
      description: 'Combo state: `"active"`, "`inactive`"'
      enum:
        - active
        - inactive
      type: string
    combo_leg_amount:
      description: >-
        Size multiplier of a leg. A negative value indicates that the trades on
        given leg are in opposite direction to the combo trades they originate
        from
      example: -1
      type: integer
    instrument_name:
      description: Unique instrument identifier
      example: BTC-PERPETUAL
      type: string
  responses:
    PublicGetComboDetailsResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 3
                jsonrpc: '2.0'
                result:
                  creation_timestamp: 1650620575000
                  id: BTC-FS-29APR22_PERP
                  instrument_id: 27
                  legs:
                    - amount: -1
                      instrument_name: BTC-PERPETUAL
                    - amount: 1
                      instrument_name: BTC-29APR22
                  state: active
                  state_timestamp: 1650620605150
          schema:
            $ref: '#/components/schemas/PublicGetComboDetailsResponse'
      description: Success response

````